clearvars
close all
clear
clc

feed_samples_test=[1.225 1.175 1.125 1.075 1.025 0.975 0.925 0.875 0.825 0.775 0.725 0.675 0.625 0.575 0.525 0.475 0.425 0.375 0.325];


X_train=load('X_train.mat');
X_train=X_train.X_train;
Y_train_std=load('Y_train_std.mat');
Y_train_std=Y_train_std.Y_train_std;
Y_train_mean=load('Y_train_mean.mat');
Y_train_mean=Y_train_mean.Y_train_mean;

X_test=load('X_test_1.mat');
X_test=X_test.X_test;
Y_std_test=load('Y_test_std_1.mat');
Y_std_test=Y_std_test.Y_std_test;
Y_mean_test=load('Y_test_mean_1.mat');
Y_mean_test=Y_mean_test.Y_mean_test;

X_test_2=load('X_test_2.mat');
X_test_2=X_test_2.X_test_2;
Y_std_test_2=load('Y_test_std_2.mat');
Y_std_test_2=Y_std_test_2.Y_std_test_2;
Y_mean_test_2=load('Y_test_mean_2.mat');
Y_mean_test_2=Y_mean_test_2.Y_mean_test_2;

K=length(Y_train_std(1,:));
K_test=length(Y_std_test(1,:));
K_test_2=length(Y_std_test_2(1,:));


Data_mean_set_01=load('ANN_mean_M_20_N_9_BSize_40.mat');
Data_std_set_01=load('ANN_std_M_18_N_7_BSize_40.mat');

W_mean_01=Data_mean_set_01.wyniki.W_opt_mean_Error;
Wx_mean_01=Data_mean_set_01.wyniki.Wx_opt_mean_Error;
Wy_mean_01=Data_mean_set_01.wyniki.Wy_opt_mean_Error;
B_mean_01=Data_mean_set_01.wyniki.B_opt_mean_Error;
By_mean_01=Data_mean_set_01.wyniki.By_opt_mean_Error;


[Yout_opt_mean_01, A, A_Der] = ANN_Predicted_2(X_train, 20, 9, W_mean_01, Wx_mean_01, Wy_mean_01, B_mean_01, By_mean_01);
[Yout_opt_mean_01_test, A, A_Der] = ANN_Predicted_2(X_test, 20, 9, W_mean_01, Wx_mean_01, Wy_mean_01, B_mean_01, By_mean_01);
[Yout_opt_mean_01_test_2, A, A_Der] = ANN_Predicted_2(X_test_2, 20, 9, W_mean_01, Wx_mean_01, Wy_mean_01, B_mean_01, By_mean_01);

W_max_01=Data_mean_set_01.wyniki.W_opt_max_Error;
Wx_max_01=Data_mean_set_01.wyniki.Wx_opt_max_Error;
Wy_max_01=Data_mean_set_01.wyniki.Wy_opt_max_Error;
B_max_01=Data_mean_set_01.wyniki.B_opt_max_Error;
By_max_01=Data_mean_set_01.wyniki.By_opt_max_Error;

[Yout_opt_max_01, A, A_Der] = ANN_Predicted_2(X_train, 20, 9, W_max_01, Wx_max_01, Wy_max_01, B_max_01, By_max_01);
[Yout_opt_max_01_test, A, A_Der] = ANN_Predicted_2(X_test, 20, 9, W_max_01, Wx_max_01, Wy_max_01, B_max_01, By_max_01);
[Yout_opt_max_01_test_2, A, A_Der] = ANN_Predicted_2(X_test_2, 20, 9, W_max_01, Wx_max_01, Wy_max_01, B_max_01, By_max_01);

W_mean_02=Data_std_set_01.wyniki.W_opt_mean_Error;
Wx_mean_02=Data_std_set_01.wyniki.Wx_opt_mean_Error;
Wy_mean_02=Data_std_set_01.wyniki.Wy_opt_mean_Error;
B_mean_02=Data_std_set_01.wyniki.B_opt_mean_Error;
By_mean_02=Data_std_set_01.wyniki.By_opt_mean_Error;


[Yout_opt_mean_02, A, A_Der] = ANN_Predicted_2(X_train, 18, 7, W_mean_02, Wx_mean_02, Wy_mean_02, B_mean_02, By_mean_02);
[Yout_opt_mean_02_test, A, A_Der] = ANN_Predicted_2(X_test, 18, 7, W_mean_02, Wx_mean_02, Wy_mean_02, B_mean_02, By_mean_02);
[Yout_opt_mean_02_test_2, A, A_Der] = ANN_Predicted_2(X_test_2, 18, 7, W_mean_02, Wx_mean_02, Wy_mean_02, B_mean_02, By_mean_02);



W_max_02=Data_std_set_01.wyniki.W_opt_max_Error;
Wx_max_02=Data_std_set_01.wyniki.Wx_opt_max_Error;
Wy_max_02=Data_std_set_01.wyniki.Wy_opt_max_Error;
B_max_02=Data_std_set_01.wyniki.B_opt_max_Error;
By_max_02=Data_std_set_01.wyniki.By_opt_max_Error;

[Yout_opt_max_02, A, A_Der] = ANN_Predicted_2(X_train, 18, 7, W_max_02, Wx_max_02, Wy_max_02, B_max_02, By_max_02);
[Yout_opt_max_02_test, A, A_Der] = ANN_Predicted_2(X_test, 18, 7, W_max_02, Wx_max_02, Wy_max_02, B_max_02, By_max_02);
[Yout_opt_max_02_test_2, A, A_Der] = ANN_Predicted_2(X_test_2, 18, 7, W_max_02, Wx_max_02, Wy_max_02, B_max_02, By_max_02);

figure;
plot((1:1:K),Y_train_mean);
hold on
plot((1:1:K),Yout_opt_mean_01,'r--');
%plot((1:1:K),Yout_opt_max_01,'k--');
grid on;
xlabel('k');
ylabel('mean of |S_{11}| [dB]');
legend('Expected |S_{11}| mean','ANN model of S_{11} mean', 'Orientation', 'Horizontal', 'Location', 'South'); 
ylim([-50 0]);
xlim([1 K]);


figure;
plot((1:1:K),Y_train_std);
hold on
plot((1:1:K),Yout_opt_mean_02,'r--');
%plot((1:1:K),Yout_opt_max_02,'k--');
xlabel('k');
ylabel('std of |S_{11}| [dB]');
legend('Expected |S_{11}| std','ANN model of |S_{11}| std', 'Orientation', 'Horizontal', 'Location', 'North');
ylim([0 10]);
xlim([1 K]);
grid on;


figure;
plot(feed_samples_test,Y_mean_test);
hold on
plot(feed_samples_test,Yout_opt_mean_01_test,'r--');
%plot(feed_samples_test,Yout_opt_max_01_test,'k--');
xlabel('nominal values of y_0');
ylabel('mean of |S_{11}| [dB]');
legend('Expected |S_{11}| mean','ANN model of |S_{11}| mean', 'Orientation', 'Horizontal', 'Location', 'South'); 
ylim([-40 0]);
xlim([0.325 1.225]);
grid on;


figure;
plot(feed_samples_test,Y_std_test);
hold on
plot(feed_samples_test,Yout_opt_mean_02_test,'r--');
%plot(feed_samples_test,Yout_opt_max_02_test,'k--');
xlabel('nominal values of y_0');
ylabel('std of |S_{11}| [dB]');
legend('Expected |S_{11}| std','ANN model of |S_{11}| std', 'Orientation', 'Horizontal', 'Location', 'North'); 
ylim([0 7]);
xlim([0.325 1.225]);
grid on;


figure;
plot(1:1:K_test_2,Y_mean_test_2);
hold on
plot(1:1:K_test_2,Yout_opt_mean_01_test_2,'r--');
%plot(1:1:K_test_2,Yout_opt_max_01_test_2,'k--');
xlabel('k');
ylabel('mean of |S_{11}| [dB]');
legend('Expected |S_{11}| mean','ANN model of |S_{11}| mean', 'Orientation', 'Horizontal', 'Location', 'South'); 
ylim([-45 0]);
xlim([1 K_test_2]);
grid on;


figure;
plot(1:1:K_test_2,Y_std_test_2);
hold on
plot(1:1:K_test_2,Yout_opt_mean_02_test_2,'r--');
xlabel('k');
ylabel('std of |S_{11}| [dB]');
legend('Expected |S_{11}| std','ANN model of S_{11} std', 'Orientation', 'Horizontal', 'Location', 'North'); 
%plot(1:1:K_test_2,Yout_opt_max_02_test_2,'k--');
xlim([1 K_test_2]);
grid on;


