function [Yout, A, A_Der] = ANN_Predicted_2(X, M, N, W, Wx, Wy, B, By)
size_X=size(X);
size_W=size(W);
size_Wx=size(Wx);
size_Wy=size(Wy);
size_B=size(B);
size_By=size(By);



A=zeros(M,size_X(2),N);
A_Der=zeros(M,size_X(2),N);
%Calculation of the first layer Activation Functions and their Derivatives
temp=Wx.'*X+B(:,1);
temp2=temp;
temp2(temp2>0)=1;
temp2(temp2<0)=0;
temp(temp<0)=0;

A(:,:,1)=temp;
A_Der(:,:,1)=temp2;


%Calculation of the hidden layers Activation Functions and their Derivatives  
for h=2:N
    temp=W(:,:,h-1).'*A(:,:,h-1)+B(:,h);
    temp2=temp;
    temp2(temp2>0)=1;
    temp2(temp2<0)=0;
    temp(temp<0)=0;
    A(:,:,h)=temp;
    A_Der(:,:,h)=temp2;
end
%Calculation of the output/(s) of the ANN

Yout=Wy(:,1).'*A(:,:,N)+By(1,1);
end